Package org.apache.cxf.staxutils

## Class CachingXmlEventWriter

- java.lang.Object
- - org.apache.cxf.staxutils.CachingXmlEventWriter

- All Implemented Interfaces:
    `XMLStreamWriter`

      public class CachingXmlEventWriter
      extends Object
      implements XMLStreamWriter

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CachingXmlEventWriter.NSContext` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected XMLEventFactory` | `factory` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CachingXmlEventWriter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `addEvent​(XMLEvent event)` |
    `void` | `close()` |
    `void` | `flush()` |
    `List<XMLEvent>` | `getEvents()` |
    `NamespaceContext` | `getNamespaceContext()` |
    `String` | `getPrefix​(String ns)` |
    `Object` | `getProperty​(String name)` |
    `void` | `setDefaultNamespace​(String ns)` |
    `void` | `setNamespaceContext​(NamespaceContext arg0)` |
    `void` | `setPrefix​(String pfx, String uri)` |
    `void` | `writeAttribute​(String name, String value)` |
    `void` | `writeAttribute​(String uri, String name, String value)` |
    `void` | `writeAttribute​(String pfx, String uri, String name, String value)` |
    `void` | `writeCData​(String arg0)` |
    `void` | `writeCharacters​(char[] arg0, int arg1, int arg2)` |
    `void` | `writeCharacters​(String arg0)` |
    `void` | `writeComment​(String arg0)` |
    `void` | `writeDefaultNamespace​(String ns)` |
    `void` | `writeDTD​(String arg0)` |
    `void` | `writeEmptyElement​(String name)` |
    `void` | `writeEmptyElement​(String name, String ns)` |
    `void` | `writeEmptyElement​(String pfx, String name, String ns)` |
    `void` | `writeEndDocument()` |
    `void` | `writeEndElement()` |
    `void` | `writeEntityRef​(String arg0)` |
    `void` | `writeNamespace​(String pfx, String ns)` |
    `void` | `writeProcessingInstruction​(String arg0)` |
    `void` | `writeProcessingInstruction​(String arg0, String arg1)` |
    `void` | `writeStartDocument()` |
    `void` | `writeStartDocument​(String version)` |
    `void` | `writeStartDocument​(String arg0, String arg1)` |
    `void` | `writeStartElement​(String name)` |
    `void` | `writeStartElement​(String name, String ns)` |
    `void` | `writeStartElement​(String pfx, String name, String ns)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### factory

          protected XMLEventFactory factory

  - ### Constructor Detail

    - #### CachingXmlEventWriter

          public CachingXmlEventWriter()

  - ### Method Detail

    - #### addEvent

          protected void addEvent​(XMLEvent event)

    - #### getEvents

          public List<XMLEvent> getEvents()

    - #### close

          public void close()
                     throws XMLStreamException

      Specified by:
        `close` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### flush

          public void flush()
                     throws XMLStreamException

      Specified by:
        `flush` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### getNamespaceContext

          public NamespaceContext getNamespaceContext()

      Specified by:
        `getNamespaceContext` in interface `XMLStreamWriter`

    - #### getPrefix

          public String getPrefix​(String ns)
                           throws XMLStreamException

      Specified by:
        `getPrefix` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### getProperty

          public Object getProperty​(String name)

      Specified by:
        `getProperty` in interface `XMLStreamWriter`

    - #### setNamespaceContext

          public void setNamespaceContext​(NamespaceContext arg0)
                                   throws XMLStreamException

      Specified by:
        `setNamespaceContext` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeAttribute

          public void writeAttribute​(String name,
                                     String value)
                              throws XMLStreamException

      Specified by:
        `writeAttribute` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeAttribute

          public void writeAttribute​(String pfx,
                                     String uri,
                                     String name,
                                     String value)
                              throws XMLStreamException

      Specified by:
        `writeAttribute` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeCData

          public void writeCData​(String arg0)
                          throws XMLStreamException

      Specified by:
        `writeCData` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeCharacters

          public void writeCharacters​(String arg0)
                               throws XMLStreamException

      Specified by:
        `writeCharacters` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeCharacters

          public void writeCharacters​(char[] arg0,
                                      int arg1,
                                      int arg2)
                               throws XMLStreamException

      Specified by:
        `writeCharacters` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeComment

          public void writeComment​(String arg0)
                            throws XMLStreamException

      Specified by:
        `writeComment` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeDTD

          public void writeDTD​(String arg0)
                        throws XMLStreamException

      Specified by:
        `writeDTD` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeEndDocument

          public void writeEndDocument()
                                throws XMLStreamException

      Specified by:
        `writeEndDocument` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeEntityRef

          public void writeEntityRef​(String arg0)
                              throws XMLStreamException

      Specified by:
        `writeEntityRef` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeProcessingInstruction

          public void writeProcessingInstruction​(String arg0)
                                          throws XMLStreamException

      Specified by:
        `writeProcessingInstruction` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeProcessingInstruction

          public void writeProcessingInstruction​(String arg0,
                                                 String arg1)
                                          throws XMLStreamException

      Specified by:
        `writeProcessingInstruction` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeStartDocument

          public void writeStartDocument()
                                  throws XMLStreamException

      Specified by:
        `writeStartDocument` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeStartDocument

          public void writeStartDocument​(String version)
                                  throws XMLStreamException

      Specified by:
        `writeStartDocument` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeStartDocument

          public void writeStartDocument​(String arg0,
                                         String arg1)
                                  throws XMLStreamException

      Specified by:
        `writeStartDocument` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### setDefaultNamespace

          public void setDefaultNamespace​(String ns)
                                   throws XMLStreamException

      Specified by:
        `setDefaultNamespace` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeNamespace

          public void writeNamespace​(String pfx,
                                     String ns)
                              throws XMLStreamException

      Specified by:
        `writeNamespace` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeAttribute

          public void writeAttribute​(String uri,
                                     String name,
                                     String value)
                              throws XMLStreamException

      Specified by:
        `writeAttribute` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### setPrefix

          public void setPrefix​(String pfx,
                                String uri)
                         throws XMLStreamException

      Specified by:
        `setPrefix` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeEndElement

          public void writeEndElement()
                               throws XMLStreamException

      Specified by:
        `writeEndElement` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeDefaultNamespace

          public void writeDefaultNamespace​(String ns)
                                     throws XMLStreamException

      Specified by:
        `writeDefaultNamespace` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeEmptyElement

          public void writeEmptyElement​(String name)
                                 throws XMLStreamException

      Specified by:
        `writeEmptyElement` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeEmptyElement

          public void writeEmptyElement​(String name,
                                        String ns)
                                 throws XMLStreamException

      Specified by:
        `writeEmptyElement` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeEmptyElement

          public void writeEmptyElement​(String pfx,
                                        String name,
                                        String ns)
                                 throws XMLStreamException

      Specified by:
        `writeEmptyElement` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeStartElement

          public void writeStartElement​(String name)
                                 throws XMLStreamException

      Specified by:
        `writeStartElement` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeStartElement

          public void writeStartElement​(String name,
                                        String ns)
                                 throws XMLStreamException

      Specified by:
        `writeStartElement` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeStartElement

          public void writeStartElement​(String pfx,
                                        String name,
                                        String ns)
                                 throws XMLStreamException

      Specified by:
        `writeStartElement` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`